org.crosswire.bibledesktop.passage

## Class KeyListListModel

- java.lang.Object
- - javax.swing.AbstractListModel
  - - org.crosswire.bibledesktop.passage.KeyListListModel

- All Implemented Interfaces:
    Serializable, ListModel

      public class KeyListListModel
      extends AbstractListModel

  A simple implementation of ListModel that is backed by a SortedSet.
  Author:
    Joe Walker
  See Also:
    `for license details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.jsword.passage.Key` | `keys`
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyListListModel(org.crosswire.jsword.passage.Key keys)` Constructor for ListListModel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getElementAt(int index)` There must be a faster way of doing this?
    `int` | `getSize()`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keys

          private org.crosswire.jsword.passage.Key keys

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyListListModel

          public KeyListListModel(org.crosswire.jsword.passage.Key keys)

      Constructor for ListListModel.

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### getElementAt

          public Object getElementAt(int index)

      There must be a faster way of doing this?
      See Also:
        `ListModel.getElementAt(int)`